<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        button {
            display: block;
            margin: 0 auto;
            border: 2px solid black;
            text-transform: uppercase;
        }

        div {
            float: left;
            width: 30px;
            height: 30px;
            margin: 5px;
            text-align: center;
            line-height: 30px;
            color: white;
            background-color: black;
        }

        .circle {
            border: 2px solid black;
            border-radius: 50%;
            background-color: white;
            color: black;
        }
    </style>
</head>

<body>
    <button>Kliknij</button>


    <script>
        const btn = document.querySelector('button');
        let number = 1;
        let activeNumber = 1;
        const addElement = function () {
            const div = document.createElement('div');
            div.textContent = number;
            // if (number % 5 === 0) {
            //     div.classList.add('circle')
            // }
            if (activeNumber == 5) {
                activeNumber = 0;
                div.classList.add('circle')
            }
            document.body.appendChild(div);
            number++;
            activeNumber++;

        }

        btn.addEventListener('click', addElement)
    </script>
</body>

</html>